This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 526767 - Brightness function keys don't work on Lenovo 3000 V200 [NEEDINFO]
Brightness function keys don't work on Lenovo 3000 V200
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-01 13:40 EDT by nikosapi
Modified: 2010-06-28 10:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ferdnyc: needinfo?


Attachments (Terms of Use)

  None (edit)
Description nikosapi 2009-10-01 13:40:53 EDT
Description of problem: 
I haven't been able to use my brightness keys for quite some time (I think they last worked with linux 2.6.28.x). All the other ones work: sound, sleep, hibernate. I can still control the brightness by echo'ing a number to /sys/class/backlight/acpi_video0/brightness but that's getting kind of annoying.


Version-Release number of selected component (if applicable):
kernel-2.6.30.8-64.fc11.x86_64


How reproducible:
Press Fn+F10 or Fn+F11 (decrease and increase brightness) and nothing happens.


Additional info:
lshal -m shows nothing when I press the brightness buttons. It does display something when I try any of the other function buttons.

xev also shows nothing.
Comment 1 "FeRD" (Frank Dana) 2009-12-13 07:24:49 EST
+1, on my Lenovo 3000 N500, with Fedora 12. (The first version I've used on the new laptop; I assume the keys would have similarly failed to work under previous releases.)

Frustratingly, as the reporter said, unlike ALL of the other Fn-key combinations (volume, media control, numpad, Home, End, ...), pressing Fn-F11 or Fn-F12 does not seem to produce a visible reaction anywhere in the system. 'lshal -m' registers nothing, 'xinput test {keyboard ID}' fails to report, and so on.
Comment 2 "FeRD" (Frank Dana) 2009-12-13 07:27:02 EST
(Er, in my previous comment I should of course have written Fn-F10 and Fn-F11, instead.)
Comment 3 Bug Zapper 2010-04-28 06:39:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 "FeRD" (Frank Dana) 2010-04-29 17:01:28 EDT
Aha! I'd all but forgotten about this, and turns out there's good news.

I don't even know when this changed, but I just experimentally tried using the brightness controls on my Lenovo keyboard (Fn-F10 and Fn-F11), and they're now functional! The fix must have slipped in with an update since Fedora 12 was first released. (That was the last time I tried using the Fn-key brightness controls.)

Whatever and whenever things changed, it appears this problem is now fixed. I didn't see any activity from 'xinput test N' for any of the keyboard input devices N, so it doesn't look like the keypresses make it through to the X server, but I did get the following output from 'lshal -m':

[---@---]~% lshal -m

Start monitoring devicelist:
-------------------------------------------------
16:55:19.438: computer_logicaldev_input_0 condition ButtonPressed = brightness-down
16:55:20.031: computer_logicaldev_input_0 condition ButtonPressed = brightness-down
16:55:20.595: computer_logicaldev_input_0 condition ButtonPressed = brightness-up
16:55:20.806: computer_logicaldev_input_0 condition ButtonPressed = brightness-up


Hopefully, the original reporter will also find that brightness controls are now functional, and this bug can be closed. In the absence of any further update, I'm content to let BugZapper reap it. Team WORKSFORME(...NOW).
Comment 5 Bug Zapper 2010-06-28 10:52:46 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.